Web lists-archives.com

Re: Adding postgresql as pre-depends for gitlab




On Sun, 16 Apr 2017, Pirate Praveen wrote:

> Currently #859200 is open as rc bug as upgrading postgresql and gitlab
> together fails. gitlab installation and updates need to write to
> database (currently only postgresql is supported). I'm planning to add
> potgresql to pre depends, but policy mandates discussing it here
> first.

Having the DBMS on a different host should be a supported way of setup.
You should not depend on a postgres server on the same machine running
gitlab, and therefore neither should you pre-depend on postgres.

Cheers,
-- 
                            |  .''`.       ** Debian **
      Peter Palfrader       | : :' :      The  universal
 https://www.palfrader.org/ | `. `'      Operating System
                            |   `-    https://www.debian.org/